Get a document by ID
GET
/api/v1/documents/{id}
const url = 'https://api.yggy.tech/api/v1/documents/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.yggy.tech/api/v1/documents/example \ --header 'Authorization: Bearer <token>'Retrieve the details of a specific document by its ID.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Header Parameters
Section titled “Header Parameters ” host
string | null
x-yggy-organization-id
string | null
Responses
Section titled “ Responses ”Document details
Media type application/json
object
documentId
required
string
invocationId
string
title
required
string
content
string
source
string
sourceKind
string | null
originSystem
string | null
ownerExternalId
string | null
ownerDisplayName
string | null
contentType
required
string
status
required
string
createdAt
required
string
updatedAt
required
string
tripleCount
number
error
string
code
string
failureMessage
string
storageUrl
string
deletedAt
string
noteKind
string | null
extractionMethod
string
structuredRegions
string | null
provenanceChain
string | null
extractionStats
string | null
processingSummary
string | null
modelUsed
string | null
ocrStrategy
string | null
inferenceMode
string | null
extractionGuidanceRevision
integer | null
guidanceRecommendations
string | null
sourceCreatedAt
string | null
sourceModifiedAt
string | null
sourceAuthor
string | null
sourceMetadata
string | null
attachedTo
object
documentId
required
string
title
required
string
mailAttachments
Array<object>
object
documentId
required
string
title
required
string
status
required
string
projectExternalId
string | null
Example
{ "sourceKind": "UPLOAD", "status": "PENDING", "extractionMethod": "UNSTRUCTURED", "mailAttachments": [ { "status": "PENDING" } ]}Document not found
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}